--- title: "acceptOrRejectVpcPeering" slug: "networking-vpc-vpcpeering-acceptorrejectvpcpeering" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-vpcpeering-acceptorrejectvpcpeering" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # acceptOrRejectVpcPeering Available in VPC Specify a VPC peering instance number to accept or reject the VPC peering request. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/acceptOrRejectVpcPeering | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC peering instance whose VPC peering request you want to accept or reject - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcPeeringInstanceNo` | String | Required | Number of VPC peering instance whose VPC peering request you want to accept or reject - See [getVpcPeeringInstanceList](/docs/en/networking-vpc-vpcpeering-getvpcpeeringinstancelist). | | `isAccept` | Boolean | Required | Whether the VPC peering request is accepted or rejected - `true` \| `false` - `true`: request accepted - `false`: request rejected | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/acceptOrRejectVpcPeering ?regionCode=KR &vpcPeeringInstanceNo=***6213 &isAccept=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [VpcPeeringInstanceList](/docs/en/common-vapidatatype-vpcpeeringinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example See below for an example. ``` b4e70022-b05f-4843-9885-7f4444dcc650 0 success 1 ***6213 test-*** KR 2020-08-07T18:17:11+0900 2020-08-07T18:17:11+0900 INIT init Creating NULL NULL OP ***07 test-*** ***.**1.0.0/16 test-**1@nave.com ***08 test-*** ***.**2.0.0/16 test-**2@naver.com false true ```